%define name	plasma-applet-message-indicator
%define	srcname	plasma-widget-message-indicator
%define version	0.5.2
%define release	%mkrel 3
%define Summary	 Plasmoid for displaying messages from message-indicator enabled applications


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://launchpad.net/%{srcname}/trunk/%{version}/+download/%{srcname}-%{version}.tar.xz
License:	GPLv3
Group:		Graphical desktop/KDE4
URL:		https://launchpad.net/plasma-widget-message-indicator
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	libindicate-qt-devel
BuildRequires:	libdbusmenu-qt-devel
Provides:	%srcname = %version
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description

A Plasma widget which displays messages from message-indicator enabled
applications.


%files 
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_message_indicator.so
%_kde_services/plasma-applet-message-indicator.desktop




#---------------------------------------------------------------------

%prep
%setup -q -n %srcname-%{version}

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build



%clean
%__rm -rf %buildroot


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.2-2pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.5.2-1pclos2010
- update package

